local fn = _gn(0x6448050E9C2A7207)
--- GET_NTH_CLOSEST_VEHICLE_NODE_ID_WITH_HEADING
-- @param x X coordinate
-- @param y Y coordinate
-- @param z Z coordinate
-- @param nthClosest The index of the node to return
-- @param outPosition Pointer to the found nodes coords
-- @param outHeading Pointer to the found nodes heading
-- @param nodeFlags Node flags, see [`GET_CLOSEST_VEHICLE_NODE`](#\_0x240A18690AE96513)
-- @param zMeasureMult How strongly the difference in the Z direction should be weighted
-- @param zTolerance How far apart the Z coords have to be before `zMeasureMult` kicks in
-- @return Returns the nth closest vehicle nodes id with its heading.
function Global.GetNthClosestVehicleNodeIdWithHeading(x, y, z, nthClosest, nodeFlags, zMeasureMult, zTolerance)
	return fn(x, y, z, nthClosest, _v, _f, nodeFlags, zMeasureMult, zTolerance, _ri)
end
